API Reference

Context Source Versions

Context source versions are where the actual text content and files are stored and maintained. Context source versions also contain any knowledge derived and extracted from them.

All versions belong to a parent context source in a specific workspace.

Endpoints
   GET https://api.zatomic.ai/v1/context/sources/{contextSourceId}/versions
  POST https://api.zatomic.ai/v1/context/sources/{contextSourceId}/versions/file
  POST https://api.zatomic.ai/v1/context/sources/{contextSourceId}/versions/text
   GET https://api.zatomic.ai/v1/context/sources/{contextSourceId}/versions/{versionId}
 PATCH https://api.zatomic.ai/v1/context/sources/{contextSourceId}/versions/{versionId}/file
 PATCH https://api.zatomic.ai/v1/context/sources/{contextSourceId}/versions/{versionId}/text
DELETE https://api.zatomic.ai/v1/context/sources/{contextSourceId}/versions/{versionId}